<a style="float:right;font-size:12px;" href="http://github.com/ionic-team/ionic-native/edit/master/src/@ionic-native/plugins/in-app-purchase-2/index.ts#L198">
  Improve this doc
</a>

# In App Purchase 2 - improved

```
$ ionic cordova plugin add cordova-plugin-purchase --variable BILLING_KEY="<ANDROID_BILLING_KEY>"
$ npm install @ionic-native/in-app-purchase-2
```

## [Usage Documentation](https://ionicframework.com/docs/native/in-app-purchase-2/)

Plugin Repo: [https://github.com/j3k0/cordova-plugin-purchase](https://github.com/j3k0/cordova-plugin-purchase)

In-App Purchase on iOS, Android, Windows, macOS and XBox.

## Features

|  | ios | android | win-8 | win-10/uwp | mac |
|--|--|--|--|--|--|
| consumables | ✅ | ✅ | ✅ | ✅ | ✅ |
| non consumables | ✅ | ✅ | ✅ | ✅ | ✅ |
| subscriptions | ✅ | ✅ | ✅ | ✅ | ✅ |
| restore purchases | ✅ | ✅ | ✅ | ✅ | ✅ |
| receipt validations | ✅ | ✅ |  | ✅ | ✅ |
| downloadable content | ✅ |   |   |   | ✅ |
| introductory prices | ✅ | ✅ |   | ✅ | ✅ |

Supports:

 - **iOS** version 7.0 or higher.
 - **Android** version 2.2 (API level 8) or higher
   - with Google Play client version 3.9.16 or higher
 - **Windows** Store/Phone 8.1 or higher
 - **Windows 10 Mobile**
 - **macOS** version 10
 - **Xbox One**
   - (and any platform supporting Microsoft's UWP)

## Supported platforms

- iOS
  - Android
  - Windows
  


